<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string("system_version")->nullable()->comment("操作系统版本");
            $table->string("version")->nullable()->comment("版本号");
            $table->string("platform")->nullable()->comment("平台");
            $table->string("phone_model")->nullable()->comment("用户设备型号");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['system_version','version','platform','phone_model']);
        });
    }
};
